Name: libing
Version: 0.2.0
Release: alt1

Summary: General collection of some classes
License: GPL
Group: System/Libraries

Packager: Stanislav Ievlev <inger@altlinux.ru>

Source0: %name-%version.tar.bz2

# Automatically added by buildreq on Wed Mar 12 2003
BuildRequires: gcc-c++ libpcre-devel libstdc++-devel libtinfo-devel libxml2-devel zlib-devel

%description
Contents collection of various classes I use in my programs.

%package devel
Summary: Development part of %name
Group: Development/C++
Requires: %name = %version-%release

%description devel
Contents header files and development libraries for %name

%package devel-static
Summary: Static libraries for %name
Group: Development/C++
Requires: %name-devel = %version-%release

%description devel-static
Contents static libraries for %name

%prep
%setup -q

%build
%make_build
%if_with test
%make check
%endif

%install
%makeinstall DESTDIR=$RPM_BUILD_ROOT%prefix

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc README* NEWS ChangeLog
%_libdir/*.so.*
%_datadir/xml/alt/config/*

%files devel
%_libdir/*.so
%_includedir/*

%files devel-static
%_libdir/*.a

%changelog
* Mon May 05 2003 Stanislav Ievlev <inger@altlinux.org> 0.2.0-alt1
- next release

* Sun Mar 30 2003 Stanislav Ievlev <inger@altlinux.org> 0.1.7-alt1
- change config format: backward compatibility added
- make check now available
- fix soname usage
- some other minor features and bugfixes

* Wed Mar 19 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1.6-alt1
- reduce race during filesystem walking

* Fri Mar 14 2003 Stanislav Ievlev <inger@altlinux.org> 0.1.5-alt2
- little fixes

* Wed Mar 12 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1.5-alt1
- fix Color and PerlRE objects (API changed)

* Thu Mar 06 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1.4-alt5
- little improvements

* Tue Mar 04 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1.4-alt4
- fine sources

* Fri Feb 28 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1.4-alt3
- fix ldconfig usage according packaging policy
- fix library building
- buildreqs added

* Wed Feb 05 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1.4-alt2
- added unslash function
- daedalus release

* Tue Feb 04 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1.4-alt1
- fix map usage

* Mon Jan 27 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1.3-alt1
- minor fixes

* Mon Jan 20 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1.2-alt1
- fixing end_group processing

* Fri Jan 17 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1.1-alt1
- remove alternatives alpha into separate package
- fix requires

* Thu Jan 16 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt5
- daedalus release

* Fri Jan 10 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt4
- preparations for update-alternatives

* Thu Jan 09 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt3.1
- change to relative access path

* Wed Jan 08 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt3
- added filesystem class

* Thu Dec 26 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt1
- Inital release for ALT
